# Makefile for system directory of CDEV
#
# cdev system directory
#
# Makefile,v
# Revision 1.10  1998/08/17  14:05:03  akers
# Added 'Minor Version Number' to TARGETDIR in Makefiles
#
# Revision 1.9  1997/08/27  18:23:30  chen
# Change error reporting to site specific scheme
#
# Revision 1.8  1997/02/18  15:45:41  chen
# port to linux 2.0.x + addUserFdCallback
#
# Revision 1.7  1996/09/20  12:24:58  akers
# Changes added for Release 1.4
#
# Revision 1.5  1996/06/26  15:54:23  akers
# Modifications to support multiple OS Versions
#
# Revision 1.4  1996/05/14  20:38:24  akers
# Makefile modifications
#
# Revision 1.3  1995/11/14  17:49:27  chen
# new makefile
#
#
include ../Makefile.config

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

ifeq ($(INCDIR), )
	INCDIR = ../..
endif

XTRACXXFLAGS = -I/usr/include/CC

OBJS =  $(OBJTYPE)/cdevError.o \
	$(OBJTYPE)/cdevSync.o \
	$(OBJTYPE)/cdevSystemBase.o \
	$(OBJTYPE)/cdevService.o \
	$(OBJTYPE)/cdevSystem.o \
	$(OBJTYPE)/cdevErrSvc.o \
	$(OBJTYPE)/cdevUserFdService.o \
	$(OBJTYPE)/cdevConfigFinder.o

targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)

$(OBJDIR)/$(OBJTYPE) :
	@mkdir $(OBJDIR)/$(OBJTYPE)
			
copyobjs: $(OBJS)
	@cp -f $(OBJS) $(OBJDIR)/$(OBJTYPE)

copyincs:
	@cp -f *.h $(INCDIR)

clean: clean_hail
	@rm -rf *.o .obj .shobj core *~ 	
